=pod

=head1 NAME

aa-cleanprof - clean an existing AppArmor security profile.

=head1 SYNOPSIS

B<aa-cleanprof I<E<lt>executableE<gt>> [I<E<lt>executableE<gt>> ...] [I<-d /path/to/profiles>] [I<--no-reload]> [I<-s>]>

=head1 OPTIONS

B<-d --dir  /path/to/profiles>

   Specifies where to look for the AppArmor security profile set.
   Defaults to /etc/apparmor.d.

B<--no-reload>
   Do not reload the profile after modifying it.

B<-s --silent>

   Silently overwrites the profile without user prompt.

=head1 DESCRIPTION

B<aa-cleanprof> is used to perform a cleanup on one or more profiles.
The tool removes any existing superfluous rules (rules that are covered
under an include or another rule), reorders the rules to group similar rules
together and removes all comments from the file.

=head1 BUGS

If you find any bugs, please report them at
L<https://bugs.launchpad.net/apparmor/+filebug>.

=head1 SEE ALSO

apparmor(7), apparmor.d(5), aa-enforce(1), aa-complain(1), aa-disable(1),
aa_change_hat(2), and L<https://wiki.apparmor.net>.

=cut
